


package com.vektorsoft.demux.samples.gui;

import com.vektorsoft.demux.core.mva.DMXAdapter;
import com.vektorsoft.demux.desktop.gui.DMXMenuService;
import com.vektorsoft.demux.desktop.gui.DMXToolbarService;
import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import org.osgi.util.tracker.ServiceTracker;

/**
 *
 * @author Vladimir Djurovic
 */
public class SampleActivator implements BundleActivator {
    
    private ServiceTracker tracker;
    private ServiceTracker mennuTracker;
    private ServiceTracker toolbarTracker;

    @Override
    public void start(BundleContext bc) throws Exception {
         tracker = new ServiceTracker(bc, DMXAdapter.class, new SampleCustomizer(bc));
         tracker.open();
         
         mennuTracker = new ServiceTracker(bc, DMXMenuService.class, new MenuServiceTracker(bc));
         mennuTracker.open();
         
         toolbarTracker = new ServiceTracker(bc, DMXToolbarService.class, new ToolbarServiceCustomizer(bc));
         toolbarTracker.open();
    }

    @Override
    public void stop(BundleContext bc) throws Exception {
        tracker.close();
        mennuTracker.close();
        toolbarTracker.close();
    }

}
