


package com.vektorsoft.demux.samples.gui;

import com.vektorsoft.demux.core.mva.DMXAdapter;
import com.vektorsoft.demux.core.resources.ResourceHandlerType;
import com.vektorsoft.demux.core.resources.impl.DefaultResourceHandler;
import javafx.event.ActionEvent;
import org.osgi.framework.BundleContext;
import org.osgi.framework.ServiceReference;
import org.osgi.util.tracker.ServiceTrackerCustomizer;

/**
 *
 * @author Vladimir Djurovic
 */
public class SampleCustomizer implements ServiceTrackerCustomizer<DMXAdapter, DMXAdapter> {
    
    private BundleContext context;
    
    public SampleCustomizer(BundleContext ctx){
        this.context = ctx;
    }

    @Override
    public DMXAdapter addingService(ServiceReference<DMXAdapter> sr) {
        DMXAdapter svc = (DMXAdapter)context.getService(sr);
        
       svc.registerController(new MenuController());
       svc.registerView(MenuDialogView.class);
       
        DefaultResourceHandler handler = svc.getResourceManager().getResourceHandler(ResourceHandlerType.RESOURCE_BUNDLE);
       // register resources for FXML view
       handler.loadResourceBundle("bundles.strings", this.getClass().getClassLoader());
       svc.registerView(FXMLView.class);
       svc.registerController(new SimpleController());
       svc.registerEventHandler(new SampleEventHandler(svc, ActionEvent.ACTION));
       return svc;
    }

    @Override
    public void modifiedService(ServiceReference<DMXAdapter> sr, DMXAdapter t) {
        
    }

    @Override
    public void removedService(ServiceReference<DMXAdapter> sr, DMXAdapter t) {

    }

}
